## python-dateutil 1.5

=== debian/changelog ===
python-dateutil (1.5-1) unstable; urgency=low

  [ Guido Günther ]
  * [5e8a55e] New upstream version 1.5
  * [ac4e883] Switch to 3.0 (quilt) source format (Closes: #637992)
    Thanks to Fladischer Michael for the patch
  * [07b2b97] Turn into quilt patch
  * [8eac570] Activate tests

  [ Fladischer Michael ]
  * [eda9261] Remove XS-* from VCS fields

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Aug 2011 22:20:22 +0200

python-dateutil (1.4.1-4) unstable; urgency=low

  [ Barry Warsaw ]
  * [1cda493] Switch to dh_python2 (Closes: #633888) (LP: #788514)

  [ Guido Günther ]
  * [22c75cc] Bump standard version
  * [7acb296] Depend on python-all since we don't ship arch any packages

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Jul 2011 20:59:10 +0200

python-dateutil (1.4.1-3) unstable; urgency=low

  * [95a66ef] depend on tzdata and update description
  * [93fe8b9] don't depend on pysupport internals (Closes: #516907) -
    thanks to Josselin Mouette for pointing this out and providing a fix

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Feb 2009 22:30:33 +0100

python-dateutil (1.4.1-2) unstable; urgency=low

  * [a5de481] don't ship timezone information (Closes: #416204)
  * [4f4aa5d] add README.source
  * [174ea3e] bump standards version

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 30 Sep 2008 18:49:25 +0200

python-dateutil (1.4.1-1) unstable; urgency=low

  * [292923b] New Upstream version 1.4.1
  * [abd914e] uscan: justs downloading is enough

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 14 Aug 2008 08:44:02 +0200

python-dateutil (1.4-1) unstable; urgency=low

  * new upstream version
  * add watch file from dehs.debian.org
  * build-depend on python-setuptools 

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 12 Mar 2008 10:59:20 +0100

python-dateutil (1.3-1) unstable; urgency=low

  * New Upstream Version

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 10 Dec 2007 10:10:42 +0100

python-dateutil (1.2-1) unstable; urgency=low

  * New Upstream Version

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 05 Aug 2007 14:35:21 +0200

python-dateutil (1.1-1) unstable; urgency=low

  * new upstream version
  * add pyversions file
  * depend on python-all-dev instead of python-dev so we can build for all
    currently supported python versions

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 12 Sep 2006 14:52:14 +0200

python-dateutil (1.0-1) unstable; urgency=low

  * Initial release (Closes: #386256)

 -- Guido Guenther <agx@sigxcpu.org>  Wed,  6 Sep 2006 10:33:06 +0200

## python-dateutil 2.8.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dateutil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dateutil.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dateutil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dateutil"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-dateutil 1.5+dfsg

=== debian/changelog ===
python-dateutil (1.5+dfsg-1ubuntu1) trusty; urgency=medium

  * Add missing "allow-stderr" autopkgtest restriction, as unittest outputs to
    stderr.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jan 2014 10:05:05 +0100

python-dateutil (1.5+dfsg-1) unstable; urgency=medium

  [ Guido Günther ]
  * [43a04cc] Remove .pc/ directory.
    This only confuses version control
  * [09e938a] User proper extension for patch file
  * [2909f7b] Bump standards version
  * Acknowledge NMU, thanks Scott!

  [ Jean-Baptiste Lallement ]
  * [cddbc8b] Add autopkgtest. This runs the upstream test suite against the
    installed package (Closes: #729461)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Jan 2014 18:28:14 +0100

python-dateutil (1.5+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to remove non-free time zone information
    (sourceless binary data) (Closes: #665894)
  * Remove reference to dateutil/zoneinfo/zoneinfo-2010g.tar.gz from both
    upstream build system and debian/rules
    - The file was not shipped in the binary, so there's no impact on the
      functionality of the package

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Jul 2012 09:00:45 -0400

=== debian/control ===
Source: python-dateutil
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/calendarserver/python-dateutil.git
Vcs-Browser: http://git.debian.org/?p=calendarserver/python-dateutil.git
X-Python-Version: >= 2.3
XS-Testsuite: autopkgtest

Package: python-dateutil
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, tzdata
Description: powerful extensions to the standard datetime module
 It features:
 .
  * computing of relative deltas (next month, next year, next monday, last week
    of month, etc);
  * computing of relative deltas between two given date and/or datetime objects
  * computing of dates based on very flexible recurrence rules, using a superset
    of the iCalendar specification. Parsing of RFC strings is supported as well.
  * generic parsing of dates in almost any string format
  * timezone (tzinfo) implementations for tzfile(5) format files
    (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string (in all
    known formats), iCalendar format files, given ranges (with help from
    relative deltas), local machine timezone, fixed offset timezone, UTC
    timezone
  * computing of Easter Sunday dates for any given year, using Western, Orthodox
    or Julian algorithms

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install $@
	rm -f debian/python-dateutil/usr/lib/`pyversions -d`/site-packages/dateutil/zoneinfo/zoneinfo-*.tar.gz

override_dh_auto_test:
	python test.py

## python-dateutil 2.2

=== debian/changelog ===
python-dateutil (2.2-2~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 02 Nov 2015 09:38:07 +0000

python-dateutil (2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Oct 2014 10:12:00 +0200

python-dateutil (2.2-1) experimental; urgency=medium

  [ Martin Pitt ]
  * [f763d2a] Use allow-stderr since the tests output to stderr

  [ Guido Günther ]
  * [1d5281e] New upstream version 2.2 (Closes: #688551)
  * [8228ef9] Rediff patches
  * [795bb05] Ship python3 package as well

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Sep 2014 21:24:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install $@
	rm -f debian/python*-dateutil/usr/lib/*/site-packages/dateutil/zoneinfo/zoneinfo-*.tar.gz

override_dh_auto_test:
	python test.py
	python3 test.py

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://labix.org/python-dateutil (?:.*/)?python-dateutil-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|)

## python-dateutil 2.4.2

=== debian/changelog ===
python-dateutil (2.4.2-1) unstable; urgency=medium

  [ Guido Günther ]
  * [0b32e41] Update watch URL.
    Thanks to Thomas Kluyver
  * [c97e964] New upstream version 2.4.2
  * [948bc01] Rediff patches.
    Dropped Use-C-locale-when-calling-date.patch: <REASON>
  * [230aea3] Adjust paths to tests
  * [7973d50] Drop README
    not in upstream tarball anymore
  * [0fd6d39] Drop debian/examples
    since example got dropped upstream
  * [427b190] Build-dep on dh-python
    as suggested by dh_python2
  * [7d3a975] Bump standards version

  [ Diane Trout ]
  * [36b8175] Update watch file to use pypi.debian.net
  * [0acf506] Add Paul Ganssle's pgp key.
  * [9e32817] Let pybuild discover new test files.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Nov 2015 16:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,26 @@
 Source: python-dateutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), python-setuptools
-Standards-Version: 3.9.4
+Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper (>= 8),
+ dh-python,
+ python3,
+ python3-setuptools,
+ python3-six,
+ python-all (>= 2.6.6-3~),
+ python-setuptools,
+ python-six,
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/calendarserver/python-dateutil.git
 Vcs-Browser: http://git.debian.org/?p=calendarserver/python-dateutil.git
 X-Python-Version: >= 2.3
+X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 
 Package: python-dateutil
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, tzdata
+Depends: ${python:Depends}, ${misc:Depends}, tzdata
+XB-Python-Version: ${python:Version}
 Description: powerful extensions to the standard datetime module
  It features:
  .
@@ -30,3 +38,23 @@
   * computing of Easter Sunday dates for any given year, using Western, Orthodox
     or Julian algorithms
 
+Package: python3-dateutil
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, tzdata
+XB-Python-Version: ${python3:Version}
+Description: powerful extensions to the standard datetime module
+ It features:
+ .
+  * computing of relative deltas (next month, next year, next monday, last week
+    of month, etc);
+  * computing of relative deltas between two given date and/or datetime objects
+  * computing of dates based on very flexible recurrence rules, using a superset
+    of the iCalendar specification. Parsing of RFC strings is supported as well.
+  * generic parsing of dates in almost any string format
+  * timezone (tzinfo) implementations for tzfile(5) format files
+    (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string (in all
+    known formats), iCalendar format files, given ranges (with help from
+    relative deltas), local machine timezone, fixed offset timezone, UTC
+    timezone
+  * computing of Easter Sunday dates for any given year, using Western, Orthodox
+    or Julian algorithms

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-dateutil/python-dateutil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-dateutil 2.5.3

=== debian/changelog ===
python-dateutil (2.5.3-2~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Sep 2016 12:47:37 +0000

python-dateutil (2.5.3-1) unstable; urgency=medium

  * [771b73d] New upstream version 2.5.3 (Closes: #837918)
  * [679dfa9] Adjust timezone removal patch
  * [0039af1] Run autopkgtests using nosetest
    since dateutil now has a testsuite instead of a test script

 -- Guido Günther <agx@sigxcpu.org>  Fri, 16 Sep 2016 11:50:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Build-Depends: debhelper (>= 8),
  dh-python,
  python3,
+ python3-nose,
  python3-setuptools,
  python3-six,
  python-all (>= 2.6.6-3~),
+ python-nose,
  python-setuptools,
  python-six,
 Standards-Version: 3.9.6

## python-dateutil 2.6.0

=== debian/changelog ===
python-dateutil (2.6.0-1) unstable; urgency=medium

  * [4e96182] Use DEP14 branch layout
  * [57f8072] New upstream version 2.6.0
    (Closes: #867865)
  * [9ae38ed] Update zoneinfo patch to new upstream version
  * [ef8c0e9] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Jul 2017 09:08:08 +0200

python-dateutil (2.5.3-2) unstable; urgency=medium

  * [458e1f9] Move test dependencies from debian/control to
    debian/tests/control
  * [4c7a166] Use unittest.skip correctly
  * [1aca1b9] Bump standads version
  * [8494f04] Use https:// Vcs-* fields
  * [1600fd1] Drop superfluous XS-Testsuite field

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Sep 2016 09:09:45 +0200

## python-dateutil 2.6.1

=== debian/changelog ===
python-dateutil (2.6.1-1) unstable; urgency=medium

  * [777d7bc] New upstream version 2.6.1
  * [eb1134f] Rediff patches
  * [72c3178] Bump standards version (no changes needed)
  * [d632228] Use versioned debhelper build-dep
  * [4f20417] Make short and long descritions unique

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Aug 2017 22:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 10~),
  dh-python,
  python3,
- python3-nose,
  python3-setuptools,
  python3-six,
  python-all (>= 2.6.6-3~),
- python-nose,
  python-setuptools,
  python-six,
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/calendarserver/python-dateutil.git
-Vcs-Browser: http://git.debian.org/?p=calendarserver/python-dateutil.git
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/calendarserver/python-dateutil.git
+Vcs-Browser: https://anonscm.debian.org/git/calendarserver/python-dateutil.git
 X-Python-Version: >= 2.3
 X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
 
 Package: python-dateutil
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, tzdata
 XB-Python-Version: ${python:Version}
-Description: powerful extensions to the standard datetime module
+Description: powerful extensions to the standard Python datetime module
  It features:
  .
   * computing of relative deltas (next month, next year, next monday, last week
@@ -39,12 +36,14 @@
     timezone
   * computing of Easter Sunday dates for any given year, using Western, Orthodox
     or Julian algorithms
+ .
+ This package provides the Python 2 version of the datetime module.
 
 Package: python3-dateutil
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, tzdata
 XB-Python-Version: ${python3:Version}
-Description: powerful extensions to the standard datetime module
+Description: powerful extensions to the standard Python 3 datetime module
  It features:
  .
   * computing of relative deltas (next month, next year, next monday, last week
@@ -60,3 +59,5 @@
     timezone
   * computing of Easter Sunday dates for any given year, using Western, Orthodox
     or Julian algorithms
+ .
+ This package provides the Python 3 version of the datetime module.

=== debian/tests/control ===
Tests: upstream
Depends: @,
 python-nose,
 python3-nose,
Restrictions: allow-stderr

## python-dateutil 2.7.3

=== debian/changelog ===
python-dateutil (2.7.3-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add necessary breaks.
    Add breaks against reverse-dependencies that can't cope with the new
    upstream version. (Closes: #907718)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Feb 2019 14:35:10 +0100

python-dateutil (2.7.3-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add necessary breaks.
    Add breaks against reverse-dependencies that can't cope with the new
    upstream version. (Closes: #907718)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Feb 2019 14:35:02 +0100

python-dateutil (2.7.3-1) unstable; urgency=medium

  * New upstream version 2.7.3 (Closes: #903478, #876038)
  * Rediff patches
  * d/control: python*-setuptools-scm is needed now
  * d/tests: Upstream is now using pytest
  * d/control: Switch Vcs-* to salsa

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Aug 2018 22:52:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  dh-python,
  python3,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-six,
  python-all (>= 2.6.6-3~),
  python-setuptools,
+ python-setuptools-scm,
  python-six,
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/calendarserver/python-dateutil.git
-Vcs-Browser: https://anonscm.debian.org/git/calendarserver/python-dateutil.git
+Vcs-Git: https://salsa.debian.org/agx/python-dateutil.git
+Vcs-Browser: https://salsa.debian.org/agx/python-dateutil
 X-Python-Version: >= 2.3
 X-Python3-Version: >= 3.2
 
@@ -20,6 +22,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, tzdata
 XB-Python-Version: ${python:Version}
+Breaks: python-icalendar (<< 4.0.3-2~),
+        python-vobject (<< 0.9.6.1-0.1~),
 Description: powerful extensions to the standard Python datetime module
  It features:
  .
@@ -43,6 +47,9 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, tzdata
 XB-Python-Version: ${python3:Version}
+Breaks: khal (<< 1:0.9.10-0.1~),
+        python3-icalendar (<< 4.0.3-2~),
+        python3-vobject (<< 0.9.6.1-0.1~),
 Description: powerful extensions to the standard Python 3 datetime module
  It features:
  .

=== debian/tests/control ===
Tests: upstream
Depends: @,
 python-freezegun,
 python-hypothesis,
 python-pytest,
 python3-freezegun,
 python3-hypothesis,
 python3-pytest,
Restrictions: allow-stderr

## python-dateutil 2.8.1

=== debian/changelog ===
python-dateutil (2.8.1-6) unstable; urgency=medium

  [ Bastian Germann ]
  * Team upload
  * Package was relicensed under BSD (Closes: #801951)

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Jul 2021 09:51:20 +0100

python-dateutil (2.8.1-5) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Clean _version.py pre-build (Closes: #978278)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 03 Jan 2021 15:00:03 +0530

python-dateutil (2.8.1-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937687

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 10:18:32 -0400

python-dateutil (2.8.1-3) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:34:59 -0400

python-dateutil (2.8.1-2) unstable; urgency=medium

  * Move maintainership under DPMT (with Guido's ack)
  * Revert "Remove Python 2 support", there are still reverse dependencies

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Apr 2020 10:41:55 -0400

python-dateutil (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * Rediff patches
  * Add salsa-ci
  * Remove Python 2 support
    (Closes: #948295)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Apr 2020 08:42:05 +0200

=== debian/control ===
Source: python-dateutil
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>,
Build-Depends: debhelper-compat (= 10),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-six,
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dateutil.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dateutil

Package: python3-dateutil
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, tzdata
XB-Python-Version: ${python3:Version}
Breaks: khal (<< 1:0.9.10-0.1~),
        python3-icalendar (<< 4.0.3-2~),
        python3-vobject (<< 0.9.6.1-0.1~),
Description: powerful extensions to the standard Python 3 datetime module
 It features:
 .
  * computing of relative deltas (next month, next year, next monday, last week
    of month, etc);
  * computing of relative deltas between two given date and/or datetime objects
  * computing of dates based on very flexible recurrence rules, using a superset
    of the iCalendar specification. Parsing of RFC strings is supported as well.
  * generic parsing of dates in almost any string format
  * timezone (tzinfo) implementations for tzfile(5) format files
    (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string (in all
    known formats), iCalendar format files, given ranges (with help from
    relative deltas), local machine timezone, fixed offset timezone, UTC
    timezone
  * computing of Easter Sunday dates for any given year, using Western, Orthodox
    or Julian algorithms
 .
 This package provides the Python 3 version of the datetime module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install $@
	rm -f debian/python*-dateutil/usr/lib/*/site-packages/dateutil/zoneinfo/zoneinfo-*.tar.gz

override_dh_auto_clean:
	dh_auto_clean
	rm -f dateutil/_version.py

=== debian/tests/control ===
Tests: upstream
Depends: @,
 python3-freezegun,
 python3-hypothesis,
 python3-pytest,
Restrictions: allow-stderr

## python-dateutil 2.8.2

=== debian/changelog ===
python-dateutil (2.8.2-3ubuntu1) noble; urgency=medium

  * Cherry-pick avoid deprecated utcfromtimestamp from 2.9.0 release
    for Python 3.12 support

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 09 Apr 2024 16:09:16 +0200

python-dateutil (2.8.2-3) unstable; urgency=medium

  * Team upload
  * Depend on tzdata-legacy for autopkgtest

 -- Benjamin Drung <bdrung@debian.org>  Thu, 10 Aug 2023 15:05:28 +0200

python-dateutil (2.8.2-2) unstable; urgency=medium

  * Team upload.

  [ Arnout Vandecappelle ]
  * Don't fall back on bundled zoneinfo database (Closes: #1003044)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 17 Mar 2023 17:05:45 +0100

python-dateutil (2.8.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release 2.8.2
  * Drop old XB-Python-Version field
  * Bump watch file version to 4
  * Bump std-version to 4.6.1
  * Bump compat level to 13
  * Add R^3: no
  * Drop trailing whitespace
  * New upstream version 2.8.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Oct 2022 13:10:49 +0200

python-dateutil (2.8.1-7) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Add Homepage field (Closes: #1019389)

  [ Helmut Grohne ]
  * Mark python3-dateutils Multi-Arch: foreign (Closes: #1019489)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Oct 2022 12:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>,
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
  python3-six,
-Standards-Version: 4.0.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dateutil.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dateutil
+Homepage: https://github.com/dateutil/dateutil
 
 Package: python3-dateutil
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, tzdata
-XB-Python-Version: ${python3:Version}
+Multi-Arch: foreign
 Breaks: khal (<< 1:0.9.10-0.1~),
         python3-icalendar (<< 4.0.3-2~),
         python3-vobject (<< 0.9.6.1-0.1~),

=== debian/tests/control ===
Tests: upstream
Depends: @,
 python3-freezegun,
 python3-hypothesis,
 python3-pytest,
 tzdata-legacy,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-dateutil/python-dateutil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-dateutil 2.9.0

=== debian/changelog ===
python-dateutil (2.9.0-4) unstable; urgency=medium

  * Team upload.
  * Fix test failure in 2027 (closes: #1078638).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 16:20:59 +0000

python-dateutil (2.9.0-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-six usage with a patch

 -- Alexandre Detiste <tchet@debian.org>  Sun, 29 Sep 2024 16:21:30 +0200

python-dateutil (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * Register pytest marks (add setup.cfg to test environment)

 -- Julian Gilbey <jdg@debian.org>  Mon, 25 Mar 2024 07:36:09 +0000

python-dateutil (2.9.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Add patch that should solve some DeprecationWarning in Python3.12
    which affects: #1058414 (of package python-itsdangerous)
    The patch is *not* applied since it is not sufficient and breaks several
    other tests in dateutil
  * Test all supported Python3 versions in autopkgtest (to show the
    DeprecationWarning for Python3.12)

  [ Julian Gilbey ]
  * New upstream version (closes: #1063971)
  * Refresh patches
  * Remove ancient Breaks field from d/control and update
    Standards-Version
  * Remove unused upstream signing-key (no longer appears to be signed
    upstream)
  * Add d/upstream/metadata file

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Mar 2024 21:28:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,17 @@
 Uploaders: Guido Günther <agx@sigxcpu.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-freezegun <!nocheck>,
+ python3-hypothesis <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-six,
-Standards-Version: 4.6.1
+ tzdata-legacy <!nocheck>
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dateutil.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dateutil
@@ -19,9 +25,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, tzdata
 Multi-Arch: foreign
-Breaks: khal (<< 1:0.9.10-0.1~),
-        python3-icalendar (<< 4.0.3-2~),
-        python3-vobject (<< 0.9.6.1-0.1~),
 Description: powerful extensions to the standard Python 3 datetime module
  It features:
  .
@@ -38,5 +41,3 @@
     timezone
   * computing of Easter Sunday dates for any given year, using Western, Orthodox
     or Julian algorithms
- .
- This package provides the Python 3 version of the datetime module.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f dateutil/_version.py
+	rm -f src/dateutil/_version.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-dateutil/python-dateutil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
